#
# Conditional build:
%bcond_without	systemtap	# systemtap/dtrace trace support
#
Summary:	JavaScript bindings for GNOME
Summary(pl.UTF-8):	Wiązania JavaScriptu dla GNOME
Name:		gjs
Version:	1.44.0
Release:	1
License:	MIT and (MPL v1.1 or GPL v2+ or LGPL v2+)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gjs/1.44/%{name}-%{version}.tar.xz
# Source0-md5:	a79cb5338be0a31ed0882279bc59e48f
Patch0:		%{name}-systemtap.patch
URL:		http://live.gnome.org/Gjs
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	cairo-gobject-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.41.4
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libffi-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mozjs24-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
%{?with_systemtap:BuildRequires:	systemtap-sdt-devel}
Requires:	glib2 >= 1:2.36.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjs allows using GNOME libraries from JavaScript. It is mainly based
on Spidermonkey JavaScript engine and the GObject introspection
framework.

%description -l pl.UTF-8
Gjs pozwala używać bibliotek GNOME z JavaScriptem. Jest oparty głównie
na silniku JavaScriptu Spidermonkey i systemie GObject introspection.

%package devel
Summary:	Header files for gjs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gjs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel
Requires:	glib2-devel >= 1:2.36.0
Requires:	gobject-introspection-devel >= 1.41.4
Requires:	mozjs24-devel

%description devel
Header files for gjs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gjs.

%package -n systemtap-gjs
Summary:	systemtap/dtrace probes for gjs
Summary(pl.UTF-8):	Sondy systemtap/dtrace dla gjs
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	systemtap-client

%description -n systemtap-gjs
systemtap/dtrace probes for gjs.

%description -n systemtap-gjs -l pl.UTF-8
Sondy systemtap/dtrace dla gjs.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_systemtap:--enable-systemtap}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/gjs
%attr(755,root,root) %{_bindir}/gjs-console
%attr(755,root,root) %{_libdir}/libgjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgjs.so.0
%dir %{_libdir}/gjs
%dir %{_libdir}/gjs/girepository-1.0
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgjs.so
%{_includedir}/gjs-1.0
%{_pkgconfigdir}/gjs-1.0.pc
%{_pkgconfigdir}/gjs-internals-1.0.pc
%{_examplesdir}/%{name}-%{version}

%files -n systemtap-gjs
%defattr(644,root,root,755)
%{_datadir}/systemtap/tapset/gjs.stp
%changelog
* Fri Oct 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gjs.git;a=log;h=master

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 45bcb8f
- updated to 1.44.0

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 5826bba
- updated to 1.43.3 (used by some GNOME 3.16 components)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8b03896
- release 4 (by relup.sh)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8a4685a
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> dee0d72
- updated gettext BR

* Sat Dec 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f42e1c6
- libffi rebuild
- release 2 (by relup.sh)

* Tue Sep 30 2014 Łukasz Kieś <kiesiu@pld-linux.org> b636f07
- updated to 1.42.0

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> fdde286
- Update to 1.40.1

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 1da5aa7
- updated to 1.40.0
- gtk+3 and mozjs24 dependency

* Sat Sep 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 95911c7
- build with systemtap/dtrace support, added systemtap patch (fixes install path)
- fixed mozjs -devel dependency

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 68e1bbe
- Up to 1.38.1

* Sat Jul 06 2013 Marcin Krol <hawk@tld-linux.org> 05933df
- release 2 (by relup.sh)

* Mon Apr 22 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0743e74
- Update to 1.36.1

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e6d72c2
- Update to 1.36.0

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> ae61245
- pl fix, updated gi R in -devel

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 6fbae1e
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Mon Sep 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 118870d
- merged from DEVEL
- updated to 1.34.0

* Wed Sep 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> f49a794
- updated to 1.33.10

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1ec4cb2
- updated to 1.33.9

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7fc640e
- obsoleted

